import "@lit-labs/virtualizer";
import { LitElement, PropertyValues, TemplateResult } from "lit";
export declare namespace AdvanceList {
    export const prefixId = "item-";
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        items: any[];
        isLoading: boolean;
        isMulti: boolean;
        groupOnMultiSelect: boolean;
        value: string[];
        ariaRoleList: string;
        ariaRoleListItem: string;
        ariaLabelList: string;
        isError: boolean;
        containerHeight: string;
        lastSelectedIdByOrder: string;
        selectAllItems: boolean;
        focusReset: boolean;
        disabledItems: string[];
        totalRecords: number;
        isNonSelectable: boolean;
        listContainer?: HTMLDivElement;
        virtualizer?: any;
        private scrollIndex;
        activeId: string;
        selectedItemsIds: string[];
        private isUserNavigated;
        connectedCallback(): void;
        static get styles(): import("lit").CSSResult[];
        private getStyles;
        disconnectedCallback(): void;
        protected firstUpdated(_changedProperties: PropertyValues): void;
        protected willUpdate(changedProperties: PropertyValues): void;
        protected updated(changedProperties: PropertyValues): void;
        setCheckboxAttributes(isSelected: boolean, wrapper: HTMLElement): void;
        updateWrapperAttributes(wrapper: HTMLElement, isSelected: boolean): void;
        protected updateSelectedState(): void;
        findClickedItem(event: Event): HTMLElement | 0 | undefined;
        isNextElemenentStatusIndicator(index: number): boolean;
        handleKeyDown: (event: KeyboardEvent) => void;
        updateItemForMultiSelect(activeId: string): void;
        updateItemSelection(clickedItem: HTMLElement): void;
        handleClick(event: Event): void;
        handleRangeChange: (e: any) => void;
        notifySelectedChange(): void;
        readonly renderItem: (item: any, index: number) => TemplateResult;
        getActiveDescendant(): string;
        render(): TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-advance-list": AdvanceList.ELEMENT;
    }
}
